<template>
  <div id="main_processing">
    
  </div>
</template>
<script>
import axios from "axios";
export default {
  inject: ["reload"],
  data() {
    return {
      Navigationlists: [],
      omniselector: [],
      slidingBlock: false, //开关的v-model
      motif: "", //主题框的v-model
      chkReadOnly: false, //复选框的v-model
      preservation: [] //保存获取的经办事项
    };
  },
  created() {
    this.navigation();
    this.avigraph();
    this.flowcenters();
  },
  methods: {
    navigation() {
      axios({
        url: "obpm" + "/runtime/flowcenters/navs/processeds",
        method: "get",
        params: {
          applicationId: "HdPeBqYwJyFyjHkhZu3"
        }
      })
        .then(res => {
          let newData = res.data.data.map(item => {
            return {
              id: item.id,
              name: item.name
            };
          });
          this.Navigationlists = newData;
        })
        .catch(() => {
 
        });
    },
    //获取经办导航
    avigraph() {
      axios({
        url: "obpm" + "/runtime/flowcenters/navs/processeds",
        method: "get",
        params: {
          applicationId: "HdPeBqYwJyFyjHkhZu3"
        }
      })
        .then(res => {
          let newData = res.data.data[0].processedFlowList.map(item => {
            return {
              id: item.id,
              name: item.name,
              num: item.num
            };
          });
          this.omniselector = newData;
        })
        .catch(() => {

        });
    },
    //获取经办事项
    flowcenters() {
      axios({
        url: "obpm" + "/runtime/HdPeBqYwJyFyjHkhZu3/flowcenters/processeds",
        method: "get",
        params: {
          title: this.motif,
          linesPerPage: 7,
          pageNo: 1
        }
      })
        .then(res => {
          let newData = res.data.data.datas.map(item => {
            return {
              docId: item.docId,
              initiatorDept: item.initiatorDept,
              initiator: item.initiator,
              lastProcessTime: item.lastProcessTime.substring(5, 10),
              lastFlowOperation: (item.lastFlowOperation = "流程"),
              stateLabel: item.stateLabel
            };
          });
          this.preservation = newData;
        })
        .catch(() => {

        });
    },
    //数据分页
    algorithm(value) {
      axios({
        url: "obpm" + "/runtime/HdPeBqYwJyFyjHkhZu3/flowcenters/processeds",
        method: "get",
        params: {
          linesPerPage: 7,
          pageNo: value
        }
      })
        .then(res => {
          let newData = res.data.data.datas.map(item => {
            return {
              docId: item.docId,
              initiatorDept: item.initiatorDept,
              initiator: item.initiator,
              lastProcessTime: item.lastProcessTime.substring(5, 10),
              lastFlowOperation: (item.lastFlowOperation = "流程"),
              stateLabel: item.stateLabel
            };
          });
          this.preservation = newData;
        })
        .catch(() => {

        });
    },
    //清除主题框里面的数据
    eliminate() {
      this.motif = "";
    },
    //当主题框的内容长度为null时重新刷新
    ToRefresh() {
      if (this.motif.length === 0) {
        this.reload();
      }
    },
    //触发复选框时刷新数据
    UpdatedValue() {
      axios({
        url: "obpm" + "/runtime/HdPeBqYwJyFyjHkhZu3/flowcenters/processeds",
        method: "get",
        params: {
          isMyWorkFlow: this.chkReadOnly
        }
      })
        .then(res => {
          let newData = res.data.data.datas.map(item => {
            return {
              docId: item.docId,
              initiatorDept: item.initiatorDept,
              initiator: item.initiator,
              lastProcessTime: item.lastProcessTime.substring(5, 10),
              lastFlowOperation: (item.lastFlowOperation = "流程"),
              stateLabel: item.stateLabel
            };
          });
          this.preservation = newData;
        })
        .catch(() => {

        });
    },
    //左侧导航重新加载数据
    MediaWikiSidebar(id) {
      axios({
        url: "obpm" + "/runtime/HdPeBqYwJyFyjHkhZu3/flowcenters/processeds",
        method: "get",
        params: {
          flowId: id
        }
      })
        .then(res => {
          let newData = res.data.data.datas.map(item => {
            return {
              docId: item.docId,
              initiator: item.initiator,
              initiatorDept: item.initiatorDept,
              lastFlowOperation: (item.lastFlowOperation = "流程"),
              lastProcessTime: item.lastProcessTime.substring(5, 10),
              stateLabel: item.stateLabel
            };
          });
          this.preservation = newData;
        })
        .catch(() => {

        });
    },
    //点击滑块触发回调刷新数据
    reluctance() {
      axios({
        url: "obpm" + "/runtime/HdPeBqYwJyFyjHkhZu3/flowcenters/processeds",
        method: "get",
        params: {
          isComplete: this.slidingBlock
        }
      })
        .then(res => {
          let newData = res.data.data.datas.map(item => {
            return {
              docId: item.docId,
              initiator: item.initiator,
              initiatorDept: item.initiatorDept,
              lastFlowOperation: (item.lastFlowOperation = "流程"),
              lastProcessTime: item.lastProcessTime.substring(5, 10),
              stateLabel: item.stateLabel
            };
          });
          this.preservation = newData;
        })
        .catch(() => {

        });
    }
  }
};
</script>
<style lang="scss" scoped>
#main_processing {
  width: 100%;
  min-height: 500px;
  overflow: hidden;
  .main_processing-left {
    float: left;
    width: 150px;
    min-height: 500px;
    border-right: 1px solid #ccc;
    .main_processing-left-header {
      width: 100%;
      height: 45px;
      padding: 15px 20px;
      box-sizing: border-box;
      overflow: hidden;
      span {
        float: left;
        width: 80px;
        overflow: hidden; /*自动隐藏文字*/
        text-overflow: ellipsis; /*文字隐藏后添加省略号*/
        white-space: nowrap; /*强制不换行*/
        color: #9c9d9f;
        cursor: pointer;
      }
      a {
        float: right;
        width: 20px;
        height: 20px;
        border: 1px solid #ccc;
        border-radius: 50%;
        b {
          display: block;
          text-align: center;
          font-weight: 100;
          font-size: 12px;
          line-height: 20px;
          color: #9c9d9f;
        }
      }
    }
    .main_processing-left-header:hover span {
      color: #6bbae9;
    }
    .main_processing-left-header:hover a {
      border: none;
      background: #fc4d54;
    }
    .main_processing-left-header:hover b {
      color: white;
      font-weight: 600;
    }
    ul {
      width: 100%;
      min-height: 30px;
      li {
        width: 100%;
        height: 100%;
        overflow: hidden;
        cursor: pointer;
        margin-bottom: 5px;
        span {
          float: left;
          width: 80px;
          overflow: hidden; /*自动隐藏文字*/
          text-overflow: ellipsis; /*文字隐藏后添加省略号*/
          white-space: nowrap; /*强制不换行*/
          margin-left: 20px;
          line-height: 30px;
          font-size: 12px;
          color: #767682;
        }
        a {
          float: right;
          margin-right: 20px;
          width: 20px;
          height: 20px;
          border: 1px solid #ccc;
          border-radius: 50%;
          margin-top: 5px;
          overflow: hidden;
          b {
            display: block;
            text-align: center;
            font-weight: 100;
            font-size: 12px;
            line-height: 20px;
            color: #9c9d9f;
          }
        }
      }
      li:hover span {
        color: #46d2db;
      }
      li:hover a {
        border: none;
        background: #fc4d54;
      }
      li:hover b {
        color: white;
        font-weight: 600;
      }
    }
  }
  .main_processing-right {
    float: left;
    width: 950px;
    height: 450px;
    .main_processing-right-change {
      width: 100%;
      height: 12%;
      overflow: hidden;
      .main_processing-right-queer {
        float: left;
        width: 30%;
        height: 100%;
        label {
          margin-top: 15px;
          margin-left: 20px;
          margin-right: 10px;
        }
      }
      .main_processing-right-dextro {
        float: right;
        width: 70%;
        height: 100%;
        span {
          display: inline-block;
          width: 100px;
          height: 40px;
          border: 1px solid #ccc;
          margin-top: 7px;
          border-radius: 4px;
          padding-left: 15px;
          padding-top: 8px;
          box-sizing: border-box;
          margin-right: 5px;
          input {
            margin-right: 5px;
          }
          label {
            font-weight: 100;
            font-size: 12px;
            vertical-align: middle;
          }
        }
        .el-input {
          width: 180px;
          height: 40px;
          margin-right: 5px;
        }
        #forbidden {
          width: 120px;
          height: 40px;
          border-radius: 5px;
          padding-left: 10px;
          margin-right: 5px;
          outline: none;
        }
      }
    }
    .el-table {
      cursor: pointer;
    }
  }
  .main_processing-dexter {
    float: left;
    width: 950px;
    height: 50px;
    margin-top: 5px;
    .el-pagination {
      margin-left: 260px;
      margin-top: 10px;
    }
  }
}
</style>


